from django.urls import path, include
from .views import home, mp_list, mp_detail, ticker_list, ticker_detail, toggle_follow, signup, profile

urlpatterns = [
    path("", home, name="home"),
    path("mps/", mp_list, name="mp_list"),
    path("mp/<int:pk>/", mp_detail, name="mp_detail"),
    path("tickers/", ticker_list, name="ticker_list"),
    path("ticker/<str:ticker>/", ticker_detail, name="ticker_detail"),
    path("toggle-follow/", toggle_follow, name="toggle_follow"),
    path("signup/", signup, name="signup"),
    path("profile/", profile, name="profile"),
    path("accounts/", include("django.contrib.auth.urls")),
]
